BizKitHub
DocsAPI ReferenceInvoice/bff/document/mark-as-paid
postInvoiceAdmin BFF

/bff/document/mark-as-paid

Marks the invoice as paid and changes its status to "paid".

InvoicepostBffDocumentMark-as-paid

Parameters

JSON body

Request body

application/json
idstringRequired

External invoice ID.

ExampleaB3xKm9pQ2wLn4Yz
payDatestringOptional

Payment date (ISO format). If not provided, current date is used.

Example2026-04-15

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/document/mark-as-paid

post
curl -X POST "https://api.bizkithub.com/bff/document/mark-as-paid" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "aB3xKm9pQ2wLn4Yz",
  "payDate": "2026-04-15"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key